/*------------------------------------*\
    #MENU-FOOTER
\*------------------------------------*/
/**
 * Footer navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}donation-link,
%#{$inuit-namespace}donation-link {
    text-transform: uppercase;
    display: inline-block;
    line-height: $frs-base-unit-small;
    height: 1.8529411765rem;
    width:auto;
    padding-top:0.75rem;
    a,
    a:hover {
        padding:0;
        display:block;
        width:100%;
        color:$frs-color-white;
        height:44px;
        background:$frs-color-red;
        line-height:44px;
        @include epx-transition(all 300ms ease-in-out 0s);
        @media #{$medium-up} {
            width:auto;
            display:inline-block;
            color:#fff;
            height:31px;
            background:$frs-color-red;
            padding:0 1rem;
            margin-top:0;
            line-height:31px;
        }
        @media #{$large-up} {
            height:31px;
            line-height:31px;
        }
    }
    a:hover {
        background:$frs-color-dark-red;
    }
    @media #{$medium-up} {
        float: left;
        width:auto;
        padding-top:0.25rem;
        line-height:1.8529411765rem;
    }
    @media #{$large-up} {
        padding-top:0.75rem;
    }
}

.#{$inuit-namespace}donation-link__text,
%#{$inuit-namespace}donation-link__text {
    padding: .2rem .5rem .3rem;
    line-height: 1.641176rem;
    height: 1.941176rem;

    @media #{$medium-up} {
        height: 1.941176rem;
        line-height: 1.641176rem;
        margin: 0;
        padding: 0;
    }
}

@if $theme == "reloaded" {
    @keyframes rotate360 {
        100% {
            transform: rotate(1turn);
        }
    }
    .#{$inuit-namespace}donation-link,
    %#{$inuit-namespace}donation-link {
        text-transform: none;
        font-weight: bold;
        padding:0.25rem;
        a {
            width:160px;
            height: 41px;
            line-height: 41px;
            position: relative;
            z-index: 0;
            border-radius: 1px;
            overflow: hidden;
            text-align: center;
            padding: 0 1rem;
            background: $frs-color-red;
            box-sizing:border-box;
            @include epx-transition (background 300ms ease-in-out 0s);
            &:before,
            &:after {
                box-sizing: border-box;
            }
            span {
                @include epx-transition (background 300ms ease-in-out 0s);
            }
            @include frs-hover {
                width:160px;
                height: 41px;
                line-height: 41px;
                padding: 0 1rem;
                background: $frs-color-dark-red;
                span {
                    width:100%;
                    display:inline-block;
                    text-align:center;
                    height:41px;
                    line-height:41px;
                    background: $frs-color-dark-red;
                }
                &:before {
                    content: '';
                    position: absolute;
                    z-index: -2;
                    left: -50%;
                    top: -125%;
                    width: 200%;
                    height: 400%;
                    background-color: $frs-color-red;
                    background-repeat: no-repeat;
                    background-size: 50% 50%, 50% 50%;
                    background-position: 0 0, 100% 0, 100% 100%, 0 100%;
                    background-image: linear-gradient($frs-color-white, $frs-color-red), linear-gradient($frs-color-red, $frs-color-red), linear-gradient($frs-color-red, $frs-color-white), linear-gradient($frs-color-red, $frs-color-red);
                    animation: rotate360 4s linear infinite;
                }

                &:after {
                    content: '';
                    position: absolute;
                    z-index: -1;
                    left: 2px;
                    top: 2px;
                    width: calc(100% - 4px);
                    height: calc(100% - 4px);
                    background: $frs-color-red;
                }
            }
        }
        @media (max-width: 500px) {
            display:none;
        }
        @media #{$medium-up} {
            height: 41px;
            line-height: 42px;
            a {
                &.o-btn {
                    border:0 solid transparent !important;
                    @include frs-hover {
                        outline:0;
                    }
                }
                @include frs-hover {
                    height: 41px;
                    line-height: 42px;
                    padding:0;
                    background: $frs-color-dark-red;
                    span {
                        width:100%;
                        display:inline-block;
                    }
                }
            }
        }
    }
    .#{$inuit-namespace}donation-link__text,
    %#{$inuit-namespace}donation-link__text {
        padding:0;
        height: 41px;
        line-height: 41px;
        @media #{$medium-up} {
            height: 41px;
            line-height: 41px;
            padding:0 0.5rem;
        }
        @media #{$large-up} {
            height: 41px;
            line-height: 41px;
            padding:0 0.5rem;
        }
    }
}
